Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class GroupRight

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.bgsecure.common.bean.GroupRight

All Implemented Interfaces:
  `Serializable`, `Idable`, `Node<GroupRight>`, `TreeNode<GroupRight>`

public class GroupRight extends Id implements Node<GroupRight>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupRight()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<GroupRight>`
  `getChildren()`
  `String`
  `getModule()`
  `int`
  `getModuleId()`
  `int`
  `getParentId()`
  `String`
  `getTitle()`
  `RightType`
  `getType()`
  `void`
  `setChildren(List<GroupRight> children)`
  `GroupRight`
  `setId(int id)`
  Устанавливает id объекта
  `GroupRight`
  `setModule(String module)`
  `GroupRight`
  `setModuleId(int moduleId)`
  `GroupRight`
  `setParentId(int parentId)`
  `GroupRight`
  `setTitle(String title)`
  `GroupRight`
  `setType(RightType type)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupRight

    public GroupRight()

- ## Method Details

  - ### getChildren

    public List<GroupRight> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<GroupRight>`

  - ### getModule

    public String getModule()

  - ### getModuleId

    public int getModuleId()

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<GroupRight>`

  - ### getTitle

    public String getTitle()

  - ### getType

    public RightType getType()

  - ### setChildren

    public void setChildren(List<GroupRight> children)
    Specified by:
      `setChildren` in interface `Node<GroupRight>`

  - ### setId

    public GroupRight setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setModule

    public GroupRight setModule(String module)

  - ### setModuleId

    public GroupRight setModuleId(int moduleId)

  - ### setParentId

    public GroupRight setParentId(int parentId)

  - ### setTitle

    public GroupRight setTitle(String title)

  - ### setType

    public GroupRight setType(RightType type)